diff make-distribution @ 0:04124a4423d4 noffle

[svn] Initial revision
author enz
date Tue, 04 Jan 2000 11:35:42 +0000
parents
children 6121f8feb3e5
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/make-distribution	Tue Jan 04 11:35:42 2000 +0000
@@ -0,0 +1,47 @@
+#!/usr/bin/bash
+
+if ! make-check ; then
+    echo "make-check failed"
+    exit -1
+fi
+
+FILESH="client.h common.h config.h content.h database.h dynamicstring.h  \
+    fetch.h fetchlist.h group.h lock.h \
+    log.h online.h outgoing.h over.h protocol.h pseudo.h \
+    request.h server.h util.h"
+
+FILESC="fetch.c client.c config.c content.c database.c \
+    dynamicstring.c fetchlist.c \
+    group.c lock.c log.c noffle.c online.c outgoing.c over.c \
+    protocol.c pseudo.c request.c server.c util.c"
+
+FILESDOC="README NOTES CHANGELOG COPYING INSTALL FAQ"
+
+FILES="$FILESH $FILESC noffle.conf.example Makefile noffle.1 noffle.conf.5"
+
+echo
+echo !!! WARNING !!!
+echo
+echo "You are creating a distribution now."
+echo "Are the compiler settings in the Makefile for distribution?"
+echo "Files will be tagged in CVS (with version, but '.' replaced by '_')"
+echo "Input the version (CTRL-C to abort):"
+read VERSION
+TAG=`echo "dist_$VERSION" | tr "." "_"`
+rm -rf noffle-$VERSION
+DIR=noffle-$VERSION
+mkdir $DIR \
+&& cp $FILES $DIR \
+&& ( for a in $FILESDOC; do echo Creating $a.txt; lynx -dump -nolist \
+     $a.html >$DIR/$a.txt || exit -1; done ) \
+&& sed 's/^VERSION *= *[^ ]*/VERSION = '$VERSION'/' <Makefile >$DIR/Makefile \
+&& cp $DIR/Makefile Makefile \
+&& tar cf noffle-$VERSION.tar $DIR \
+&& gzip -9 noffle-$VERSION.tar \
+&& cvs tag -d dist_test \
+&& cvs ci -m "Makefile for version $VERSION" Makefile \
+&& cvs tag $TAG
+echo Do not forget to change VERSION in Makefile to experimental if
+echo you plan to modify the sources from now on.
+echo
+echo Please try to compile this version to ensure that no file is missing.